## fortunes-de 0.5

=== Makefile ===
# Makefile for fortunes-de

# Copyright (C)  Andreas Tille (tille@debian.org)
PACKAGE=fortunes-de
VERSION=0.5

DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
            Makefile install.sh GPL-Deutsch NEWS
SUBDIRS = data bin man predata builduti rezepte
FILES_TO_REMOVE = predata/namen

TAR = tar
GZIP = --best

srcdir = .
top_srcdir = .
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
backup_extensions = "~" ".bak"

all: check

check:
	@if [ -z "`which fortune`" -o -z "`which strfile`" ] ; then ( \
	  echo "You will need fortune to use this database."; \
	  exit -1 ) \
	else ( \
	  echo "OK, fortune is installed."; \
	  echo "Read the INSTALL file and use install.sh to install $(distdir)." ) \
	fi

dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)

distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
	for subdir in $(SUBDIRS); do \
	  d=$(srcdir); \
	  test -d $(distdir)/$$subdir \
	  || cp -pR $$d/$$subdir $(distdir)/$$subdir; \
	done

install: check
	@echo "Sorry, installation via this Makefile is not supported yet."

clean:
	-rm -f build $(FILES_TO_REMOVE)

cleanbackup: clean
	for back in $(backup_extensions); do \
	  ( find . -type f -name *$$back -exec rm -f \{\} \; ) \
	done

distclean: cleanbackup
	-rm -f $(distdir).tar.gz

## fortunes-de 0.15

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.5
+VERSION=0.15
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS
-SUBDIRS = data bin man predata builduti rezepte
+SUBDIRS = data data-more bin man predata builduti rezepte
 FILES_TO_REMOVE = predata/namen
 
 TAR = tar

## fortunes-de 0.19

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.15
+VERSION=0.19
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

## fortunes-de 0.20

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.19
+VERSION=0.20
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

## fortunes-de 0.21

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.20
+VERSION=0.21
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

## fortunes-de 0.22

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.21
+VERSION=0.22
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

## fortunes-de 0.24

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.22
+VERSION=0.24
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

## fortunes-de 0.25

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.24
+VERSION=0.25
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

## fortunes-de 0.26

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.25
+VERSION=0.26
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

## fortunes-de 0.27

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.26
+VERSION=0.27
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

## fortunes-de 0.28

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.27
+VERSION=0.28
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

=== debian/changelog ===
fortunes-de (0.28-1) unstable; urgency=low

  * New upstream version
  * Added Spanish debconf translation (thanks to
    Camaleón <noelamac@gmail.com>)
    Closes: #600643
  * Updated Vietnamese debconf translation (thanks to
    Clytie Siddall <clytie@riverland.net.au>)
    Closes: #601923
  * Standards-Version: 3.9.1 (no changes needed)
  * Debhelper 7
  * Source format 3.0 (quilt)
  * debian/rules: use short dh
  * debian/config: add -e

 -- Andreas Tille <tille@debian.org>  Mon, 14 Feb 2011 18:39:57 +0100

fortunes-de (0.27-1) unstable; urgency=low

  * New upstream version
    Closes: #348381
  * Russian debconf translation (Thanks to Yuri Kozlov
    <yuray@komyakino.ru>)
    Closes: #541748

 -- Andreas Tille <tille@debian.org>  Tue, 28 Oct 2008 08:00:00 +0100

fortunes-de (0.26-1) unstable; urgency=low

  * New upstream version
    Closes: #484345
  * The fact that upstream now is completely UTF-8 hopefully solves
    the problem which was not reproducible anyway
    Closes: #316953
  * Added Swedish debconf template (thanks to Martin Bagge <brother@bsnet.se>)
    Closes: #503601

 -- Andreas Tille <tille@debian.org>  Tue, 28 Oct 2008 07:48:42 +0100

fortunes-de (0.25-1) unstable; urgency=low

  * New upstream release
    Closes: #484209
  * Build-Depends-Indep: fortune-mod, recode

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jun 2008 07:36:55 +0200

fortunes-de (0.24-1) unstable; urgency=low

  * New upstream release (which removes bashism from installer script)
    Closes: #459192
  * Added Portuguese translation for debconf messages (thanks to
    Americo Monteiro <a_monteiro@netcabo.pt>)
    Closes: #436561
  * Standards-Version: 3.7.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Jan 2008 21:36:50 +0100

fortunes-de (0.23-1) unstable; urgency=low

  * New upstream release.
    Closes: #434146
  * Special thanks to Boris Schlueszler <boris@schneiderdruck.de> who provided
    Johann Wolfgang von Goethe (Maximen und Reflexionen) collection

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jul 2007 11:27:12 +0200

fortunes-de (0.22-1) unstable; urgency=low

  * New upstream release
  * Suppress locale warnings of type
    locale: Cannot set LC_CTYPE to default locale: No such file or directory
    in spruch script
  * Fixed misspelling of Humbold (thanks to Michael Piefel <piefel@debian.org>)
    Closes: #410677

 -- Andreas Tille <tille@debian.org>  Mon, 20 Nov 2006 22:37:36 +0100

fortunes-de (0.21-2) unstable; urgency=low

  * Updated Czech debconf tranlsation
    Closes: #389210
  * Updated dutch po-debconf translation
    Closes: #389784
  * Updated Japanese po-debconf template translation
    Closes: #393206
  * French debconf templates translation update
    Closes: #389910
  * Bug #390108 seemed to have caused by wrong usage of
    dpkg-divert - at least the bug reporter did not
    disagree with my assumption and he was warned that
    the bug will be closed if he does not provide more
    info so this
    Closes: #390108

 -- Andreas Tille <tille@debian.org>  Mon, 20 Nov 2006 22:11:57 +0100

fortunes-de (0.21-1) unstable; urgency=low

  * New upstream version
    Closes: #386115
  * Standards-Version: 3.7.2 (no changes)
  * Move *.dat files to /usr/share/games/fortunes-de
  * Use debconf to select data sets
  * Added Debian hints
  * Build-Depends: debhelper (>= 5)

 -- Andreas Tille <tille@debian.org>  Tue, 05 Sep 2006 13:57:52 +0200

fortunes-de (0.20-1) unstable; urgency=low

  * New upstream release with more quotes
  * Fixed spelling error (Thanks to Christian Brabandt <cb@256bit.org>)
    Closes: #304482

 -- Andreas Tille <tille@debian.org>  Wed, 13 Apr 2005 17:09:54 +0200

fortunes-de (0.19-1) unstable; urgency=low

  * New upstream release with more quotes.
  * Corrected spruch script according to the advise of
    Robert Bihlmeyer <robbe@orcus.priv.at> (Thanks to Robert)
  * Removed double quote (Thanks to Rainer Bendig)
    Closes: #271165

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2004 14:26:07 +0200

fortunes-de (0.18-1) unstable; urgency=low

  * New upstream release
  * Removed potentially offending quotes
  * Some more quotes.
  * Fix spelling bug (Thanks to Rainer Bendig
    <webmaster@DigitallyImpressed.com>)
    Closes: #268708

 -- Andreas Tille <tille@debian.org>  Sun,  8 Aug 2004 22:41:43 +0200

fortunes-de (0.17-1) unstable; urgency=low

  * New upstream version with more quotes.
  * Added linux.de according to a hint from Joshua Kwan
    <joshk@triplehelix.org> - thanks Joshua.
    Closes: #263885

 -- Andreas Tille <tille@debian.org>  Sun,  8 Aug 2004 15:17:53 +0200

fortunes-de (0.16-1) unstable; urgency=low

  * Fixed sed call in spruch script which did not worked with sed 4.1
    Closes: #257954
  * Few more cookies in new upstream version.

 -- Andreas Tille <tille@debian.org>  Mon, 12 Jul 2004 11:15:55 +0200

fortunes-de (0.15-1) unstable; urgency=low

  * New upstream version with some additional quotes and corrections
    Closes: #254251

 -- Andreas Tille <tille@debian.org>  Wed, 31 Mar 2004 08:19:05 +0200

fortunes-de (0.14-1) unstable; urgency=low

  * New upstream version with even more additional quotes and corrections

 -- Andreas Tille <tille@debian.org>  Mon, 29 Sep 2003 22:34:53 +0200

fortunes-de (0.13-1) unstable; urgency=low

  * New upstream version with even more additional quotes

 -- Andreas Tille <tille@debian.org>  Mon, 29 Sep 2003 22:25:45 +0200

fortunes-de (0.12-1) unstable; urgency=low

  * New upstream version with even more additional quotes
  * Depends: fortune-mod (>= 9708-34)
    which fully supports UTF-8
  * Standards-Version: 3.6.1.0
  * Enhanced long description
    closes: #209536

 -- Andreas Tille <tille@debian.org>  Wed, 10 Sep 2003 08:00:31 +0200

fortunes-de (0.11-1) unstable; urgency=low

  * New upstream version with more than 2000 additional quotes
  * Depends: fortune-mod (>= 9708-32)
    which supports UTF-8


=== debian/control ===
Source: fortunes-de
Section: games
Priority: optional
Maintainer: Andreas Tille <tille@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.1)
Build-Depends-Indep: fortune-mod, recode

Package: fortunes-de
Architecture: all
Depends: fortune-mod (>= 9708-34), ${misc:Depends}
Provides: fortune-cookie-db
Description: German data files for fortune
 Collection of more than 17000 German cookies. This package can be a replacement
 for or an addition to the fortunes package to let fortune speak German.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

pkg=fortunes-de
inst_dir=usr/share/games/fortunes
dest_dir=$(inst_dir)

%:
	dh $@

#clean:
#	-rm -f build


override_dh_auto_install:
	PREFIX=`pwd`/debian/$(pkg)/usr \
	    MANDIR=share/man \
	    DOCDIR=share/doc/fortunes-de \
	    SCRIPTSEARCH=/usr/share/games/fortunes \
	    FORTUNEDIR=/usr/games \
	  ./install.sh
	sed "s/\(^.FORTUNE .*\) | iconv -f .*/\1/" `pwd`/debian/$(pkg)/usr/games/spruch > \
	    spruch.tmp; chmod 755 spruch.tmp; mv spruch.tmp `pwd`/debian/$(pkg)/usr/games/spruch
	mv `pwd`/debian/$(pkg)/usr/share/games/fortunes/de/*.dat `pwd`/debian/$(pkg)/usr/share/games/fortunes-de

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## fortunes-de 0.29

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.28
+VERSION=0.29
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

=== debian/changelog ===
fortunes-de (0.29-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.2 (no changes needed)
  * Debhelper 8 (control+compat)
  * Danish translation (thanks to Joe Dalton <joedalton2@yahoo.dk>)
    Closes: #628236

 -- Andreas Tille <tille@debian.org>  Tue, 18 Oct 2011 13:34:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Andreas Tille <tille@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.1)
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: fortune-mod, recode
 
 Package: fortunes-de

## fortunes-de 0.30

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.29
+VERSION=0.30
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS
@@ -23,7 +23,7 @@
 check:
 	@if [ -z "`which fortune`" -o -z "`which strfile`" ] ; then ( \
 	  echo "You will need fortune to use this database."; \
-	  exit -1 ) \
+	  exit 1 ) \
 	else ( \
 	  echo "OK, fortune is installed."; \
 	  echo "Read the INSTALL file and use install.sh to install $(distdir)." ) \

=== debian/changelog ===
fortunes-de (0.30-1) unstable; urgency=low

  * New upstream version
  * debian/rules: override_dh_auto_{build,test} dummies
  * Standards-Version: 3.9.3 (no changes needed)
  * debian/postrm: Make sure links created in postinst will be really
    removed
    Closes: #669397
  * debian/copyright: rewritten to fit DEP5 and verified using
      cme fix dpkg-copyright
  * Debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Apr 2012 21:39:51 +0200

## fortunes-de 0.31

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.30
+VERSION=0.31
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

=== debian/changelog ===
fortunes-de (0.31-1) unstable; urgency=low

  * New upstream version
    Closes: #685624

 -- Andreas Tille <tille@debian.org>  Thu, 23 Aug 2012 09:44:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Andreas Tille <tille@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: fortune-mod, recode
 
 Package: fortunes-de

## fortunes-de 0.32

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.31
+VERSION=0.32
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

=== debian/changelog ===
fortunes-de (0.32-1) unstable; urgency=low

  * New upstream version
  * Now maintained in private Git repository
  * Add italian debconf translations (thanks to Beatrice Torracca
    <beatricet@libero.it>)
    Closes: #719708
  * Add Brazilian Portuguese debconf templates translation (thanks to
    Adriano Rafael Gomes <adrianorg@arg.eti.br>)
    Closes: #811524
  * cme fix dpkg-control
  * Add fussball to debconf selection to enable separate soccer quotes

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jun 2016 16:54:07 +0200

=== debian/control ===
Source: fortunes-de
Maintainer: Andreas Tille <tille@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: fortune-mod,
                     recode
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/users/tille/fortunes-de.git
Vcs-Git: https://anonscm.debian.org/git/users/tille/fortunes-de.git
Homepage: http://anonscm.debian.org/gitweb/?p=users/tille/fortunes-de.git;a=summary

Package: fortunes-de
Architecture: all
Depends: fortune-mod,
         ${misc:Depends}
Provides: fortune-cookie-db
Description: German data files for fortune
 Collection of more than 17000 German cookies. This package can be a replacement
 for or an addition to the fortunes package to let fortune speak German.

## fortunes-de 0.33

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.32
+VERSION=0.33
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

=== debian/changelog ===
fortunes-de (0.33-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * fake watch file

 -- Andreas Tille <tille@debian.org>  Sun, 11 Dec 2016 14:31:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Andreas Tille <tille@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: fortune-mod,
                      recode
 Standards-Version: 3.9.8

## fortunes-de 0.34

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.33
+VERSION=0.34
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

=== debian/changelog ===
fortunes-de (0.34-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 11
  * Packaging moved to salsa.d.o

 -- Andreas Tille <tille@debian.org>  Tue, 06 Feb 2018 16:27:07 +0100

=== debian/control ===
Source: fortunes-de
Maintainer: Andreas Tille <tille@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: fortune-mod,
                     recode
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/fortunes-de.git
Vcs-Git: https://salsa.debian.org/debian/fortunes-de.git
Homepage: https://salsa.debian.org/debian/fortunes-de

Package: fortunes-de
Architecture: all
Depends: fortune-mod,
         ${misc:Depends}
Provides: fortune-cookie-db
Description: German data files for fortune
 Collection of more than 17000 German cookies. This package can be a replacement
 for or an addition to the fortunes package to let fortune speak German.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 #clean:
 #	-rm -f build
 
+override_dh_auto_build:
+	# do nothing
+
+override_dh_auto_test:
+	# do nothing
 
 override_dh_auto_install:
 	PREFIX=`pwd`/debian/$(pkg)/usr \

## fortunes-de 0.35

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.34
+VERSION=0.35
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

=== debian/changelog ===
fortunes-de (0.35-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.1
  * debhelper 13

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

 -- Andreas Tille <tille@debian.org>  Mon, 10 Oct 2022 14:19:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Andreas Tille <tille@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: fortune-mod,
                      recode
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/debian/fortunes-de.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/debian/fortunes-de
 Vcs-Git: https://salsa.debian.org/debian/fortunes-de.git
 Homepage: https://salsa.debian.org/debian/fortunes-de

## fortunes-de 0.36

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.35
+VERSION=0.36
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

=== debian/changelog ===
fortunes-de (0.36-1) unstable; urgency=medium

  * New upstream version
    Closes: #989013
  * Standards-Version: 4.6.2 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use set -e rather than passing -e on the shebang-line.

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2024 19:28:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: fortune-mod,
                      recode
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/fortunes-de
 Vcs-Git: https://salsa.debian.org/debian/fortunes-de.git
 Homepage: https://salsa.debian.org/debian/fortunes-de
+Rules-Requires-Root: no
 
 Package: fortunes-de
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 	# do nothing
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# do nothing
+endif
 
 override_dh_auto_install:
 	PREFIX=`pwd`/debian/$(pkg)/usr \

## fortunes-de 0.37

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Copyright (C)  Andreas Tille (tille@debian.org)
 PACKAGE=fortunes-de
-VERSION=0.36
+VERSION=0.37
 
 DISTFILES = README LIESMICH AUTHORS COPYING ChangeLog INSTALL \
             Makefile install.sh GPL-Deutsch NEWS

=== debian/changelog ===
fortunes-de (0.37-1) unstable; urgency=medium

  * New upstream version
    Makes sure package complies to Standards-Version 4.7.1.0
  * Fix typo in german Goethe aphorism
    Closes: #920175
  * Standards-Version: 4.7.1

 -- Andreas Tille <tille@debian.org>  Fri, 21 Feb 2025 13:27:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: fortune-mod,
                      recode
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/debian/fortunes-de
 Vcs-Git: https://salsa.debian.org/debian/fortunes-de.git
 Homepage: https://salsa.debian.org/debian/fortunes-de
